"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var padStart = function padStart() {
  var str = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
  var len = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  var chars = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : ' ';
  var strValue = String(str);
  var charsValue = String(chars);
  var prefix = '';
  var strLen = strValue.length;
  var prefixLen = len - strLen;

  while (prefix.length < prefixLen) {
    prefix += charsValue;
  }

  prefix = prefix.slice(0, prefixLen);
  return prefix + strValue;
};

var _default = padStart;
exports["default"] = _default;
module.exports = exports.default;