"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = classNames;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _isObject = _interopRequireDefault(require("./lang/isObject"));

var _isArray = _interopRequireDefault(require("./lang/isArray"));

var _isString = _interopRequireDefault(require("./lang/isString"));

function classNames() {
  var cls = '';

  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  for (var _i = 0, _args = args; _i < _args.length; _i++) {
    var arg = _args[_i];

    if ((0, _isString["default"])(arg)) {
      cls += " ".concat(arg);
    } else if ((0, _isObject["default"])(arg)) {
      var keys = Object.keys(arg);

      for (var _i2 = 0, _keys = keys; _i2 < _keys.length; _i2++) {
        var _key2 = _keys[_i2];

        if (arg[_key2]) {
          cls += " ".concat(_key2);
        }
      }
    } else if ((0, _isArray["default"])(arg)) {
      cls += " ".concat(classNames.apply(void 0, (0, _toConsumableArray2["default"])(arg)));
    }
  }

  return cls.slice(1);
}

module.exports = exports.default;