"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = getAll;

function getAll() {
  var decoder = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : decodeURIComponent;
  var reKey = /(?:^|; )([^=]+?)(?:=([^;]*))?(?:;|$)/g;
  var cookies = {};
  var match;

  while (match = reKey.exec(document.cookie)) {
    reKey.lastIndex = match.index + match.length - 1;
    cookies[match[1]] = typeof decoder === 'function' ? decoder(match[2]) :
    /* istanbul ignore next */
    match[2];
  }

  return cookies;
}

module.exports = exports.default;