export interface Cookies {
    [key: string]: string;
}
export interface CookieOptions {
    domain?: string;
    path?: string;
    expires?: number | string | Date;
    'max-age'?: number;
    secure?: boolean;
    samesite?: string;
}
export declare type CookieDecoder<T = string> = (value: string) => T;
export declare type CookieEncoder<T = string> = (value: T) => string;
