"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = pageHeight;

var _isElement = _interopRequireDefault(require("./isElement"));

function pageHeight(el) {
  if (!el) {
    return document.documentElement.scrollHeight;
  }

  if (!(0, _isElement["default"])(el)) {
    throw new TypeError('the parameter el must be an valid html element');
  }

  return el.scrollHeight;
}

module.exports = exports.default;