"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = pageWidth;

var _isElement = _interopRequireDefault(require("./isElement"));

function pageWidth(el) {
  if (!el) {
    return document.documentElement.scrollWidth;
  }

  if (!(0, _isElement["default"])(el)) {
    throw new TypeError('the parameter el must be an valid html element');
  }

  return el.scrollWidth;
}

module.exports = exports.default;