"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = pageX;

var _isElement = _interopRequireDefault(require("./isElement"));

function pageX(el) {
  // TODO: to throw a type error?
  if (!(0, _isElement["default"])(el)) return 0;
  var parent = el;
  var x = 0;

  while (parent) {
    x += parent.offsetLeft;
    parent = parent.offsetParent;
  }

  return x;
}

module.exports = exports.default;