"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = scrollY;

var _isWindow = _interopRequireDefault(require("./isWindow"));

var _isElement = _interopRequireDefault(require("./isElement"));

function scrollY() {
  var elOrWindow = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : window;
  var y = 0;

  if ((0, _isWindow["default"])(elOrWindow)) {
    var win = elOrWindow;
    y = win.scrollY || win.pageYOffset || win.document.documentElement.scrollTop;
  } else if ((0, _isElement["default"])(elOrWindow)) {
    y = elOrWindow.scrollTop;
  }

  return y;
}

module.exports = exports.default;