"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _getType = _interopRequireDefault(require("./getType"));

var _isArray = _interopRequireDefault(require("./isArray"));

var _isBoolean = _interopRequireDefault(require("./isBoolean"));

var _isDate = _interopRequireDefault(require("./isDate"));

var _isError = _interopRequireDefault(require("./isError"));

var _isFunction = _interopRequireDefault(require("./isFunction"));

var _isNil = _interopRequireDefault(require("./isNil"));

var _isNull = _interopRequireDefault(require("./isNull"));

var _isNumber = _interopRequireDefault(require("./isNumber"));

var _isObject = _interopRequireDefault(require("./isObject"));

var _isRegExp = _interopRequireDefault(require("./isRegExp"));

var _isString = _interopRequireDefault(require("./isString"));

var _isUndefined = _interopRequireDefault(require("./isUndefined"));

var _default = {
  getType: _getType["default"],
  isArray: _isArray["default"],
  isBoolean: _isBoolean["default"],
  isDate: _isDate["default"],
  isError: _isError["default"],
  isFunction: _isFunction["default"],
  isNil: _isNil["default"],
  isNull: _isNull["default"],
  isNumber: _isNumber["default"],
  isObject: _isObject["default"],
  isRegExp: _isRegExp["default"],
  isString: _isString["default"],
  isUndefined: _isUndefined["default"]
};
exports["default"] = _default;
module.exports = exports.default;