"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = count;

var _isString = _interopRequireDefault(require("../lang/isString"));

var _isCJK = _interopRequireDefault(require("../char/isCJK"));

function count(str) {
  var type = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

  if (!(0, _isString["default"])(str)) {
    throw new TypeError('the first argument must be a string');
  }

  var len = str.length;
  var num = 0;
  var fullCount = 0;
  var halfCount = 0;

  if (type === 1 || type === 2) {
    for (var i = 0; i < len; i++) {
      if ((0, _isCJK["default"])(str.charAt(i))) {
        fullCount++;
      } else {
        halfCount++;
      }
    }
  }

  if (type === 1) {
    num = fullCount * 2 + halfCount;
  } else if (type === 2) {
    num = fullCount + Math.ceil(halfCount / 2);
  } else {
    num = len;
  }

  return num;
}

module.exports = exports.default;