"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _countChars = _interopRequireDefault(require("./countChars"));

var _countLines = _interopRequireDefault(require("./countLines"));

var _escapeRegexp = _interopRequireDefault(require("./escapeRegexp"));

var _firstChar = _interopRequireDefault(require("./firstChar"));

var _isValidJSON = _interopRequireDefault(require("./isValidJSON"));

var _lastChar = _interopRequireDefault(require("./lastChar"));

var _truncate = _interopRequireDefault(require("./truncate"));

var _default = {
  countChars: _countChars["default"],
  countLines: _countLines["default"],
  escapeRegexp: _escapeRegexp["default"],
  firstChar: _firstChar["default"],
  isValidJSON: _isValidJSON["default"],
  lastChar: _lastChar["default"],
  truncate: _truncate["default"]
};
exports["default"] = _default;
module.exports = exports.default;