"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = bytesToWords;

function bytesToWords(bytes) {
  var words = [];

  for (var i = 0, b = 0; i < bytes.length; i++, b += 8) {
    words[b >>> 5] |= bytes[i] << 24 - b % 32;
  }

  return words;
}

module.exports = exports.default;