"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = wordsToBytes;

function wordsToBytes(words) {
  var bytes = [];

  for (var i = 0; i < words.length * 32; i += 8) {
    bytes.push(words[i >>> 5] >>> 24 - i % 32 & 0xff);
  }

  return bytes;
}

module.exports = exports.default;