"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = decodeFile;

var _decode = _interopRequireDefault(require("./decode"));

function decodeFile(input, options) {
  return new Promise(function (resolve, reject) {
    try {
      var type = options.type;
      var bytes = (0, _decode["default"])(input, {
        encoding: 'binary'
      });
      resolve(new Blob([Uint8Array.from(bytes)], {
        type: type
      }));
    } catch (err) {
      reject(err);
    }
  });
}

module.exports = exports.default;