"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = encodeFile;

function encodeFile(file) {
  return new Promise(function (resolve, reject) {
    var reader = new FileReader();
    reader.addEventListener('load', function () {
      var str = reader.result ? reader.result.replace(/data:.+?,/, '') : '';
      resolve(str);
    });
    reader.addEventListener('error', function () {
      reject(new Error('error occurred in reading file'));
    });
    reader.readAsDataURL(file);
  });
}

module.exports = exports.default;