import decode from './decode';
import decodeFile from './decodeFile';
import encode from './encode';
import encodeFile from './encodeFile';
export type { Base64DecodeOptions } from './decode';
export type { Base64DecodeFileOptions } from './decodeFile';
declare const _default: {
    decode: typeof decode;
    decodeFile: typeof decodeFile;
    encode: typeof encode;
    encodeFile: typeof encodeFile;
};
export default _default;
