"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _isAlphabetic = _interopRequireDefault(require("./isAlphabetic"));

var _isAlphanumeric = _interopRequireDefault(require("./isAlphanumeric"));

var _isASCII = _interopRequireDefault(require("./isASCII"));

var _isCJK = _interopRequireDefault(require("./isCJK"));

var _isControl = _interopRequireDefault(require("./isControl"));

var _isDigit = _interopRequireDefault(require("./isDigit"));

var _isGraph = _interopRequireDefault(require("./isGraph"));

var _isHexadecimal = _interopRequireDefault(require("./isHexadecimal"));

var _isLower = _interopRequireDefault(require("./isLower"));

var _isPrint = _interopRequireDefault(require("./isPrint"));

var _isPunctuation = _interopRequireDefault(require("./isPunctuation"));

var _isSpace = _interopRequireDefault(require("./isSpace"));

var _isUpper = _interopRequireDefault(require("./isUpper"));

var _default = {
  isAlphabetic: _isAlphabetic["default"],
  isAlphanumeric: _isAlphanumeric["default"],
  isASCII: _isASCII["default"],
  isCJK: _isCJK["default"],
  isControl: _isControl["default"],
  isDigit: _isDigit["default"],
  isGraph: _isGraph["default"],
  isHexadecimal: _isHexadecimal["default"],
  isLower: _isLower["default"],
  isPrint: _isPrint["default"],
  isPunctuation: _isPunctuation["default"],
  isSpace: _isSpace["default"],
  isUpper: _isUpper["default"]
};
exports["default"] = _default;
module.exports = exports.default;