"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _isString = _interopRequireDefault(require("../lang/isString"));

var isCJK = function isCJK(ch) {
  if ((0, _isString["default"])(ch) && ch.length === 1) {
    return /[\u1100-\u11ff\u2e80-\u2fdf\u3040-\u318f\u3200-\u4dbf\u4e00-\u9fff\ua960-\ua97f\uf900-\ufaff\u3000-\u303f\uac00-\ud7af\ufe10-\ufe1f\ufe30-\ufe6f\uff00-\uff60\uffe0-\uffef]/.test(ch);
  }

  return false;
};

var _default = isCJK;
exports["default"] = _default;
module.exports = exports.default;