"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = isEnabled;

var _remove = _interopRequireDefault(require("./remove"));

function isEnabled() {
  var key = '@key@';
  var value = '1';
  var re = new RegExp("(?:^|; )".concat(key, "=").concat(value, "(?:;|$)"));
  document.cookie = "".concat(key, "=").concat(value, ";path=/;");
  var enabled = re.test(document.cookie);
  /* istanbul ignore else */

  if (enabled) {
    (0, _remove["default"])(key);
  }

  return enabled;
}

module.exports = exports.default;