"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = set;

var _convert = _interopRequireDefault(require("./util/convert"));

function set(key, value) {
  var options = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var encoder = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : encodeURIComponent;
  var attrsStr = (0, _convert["default"])(options);
  var valueStr = typeof encoder === 'function' ? encoder(value) : value;
  var newCookie = "".concat(key, "=").concat(valueStr).concat(attrsStr);
  document.cookie = newCookie;
}

module.exports = exports.default;