import clientX from './clientX';
import clientY from './clientY';
import createEvent from './createEvent';
import domReady from './domReady';
import insertScript from './insertScript';
import isElement from './isElement';
import isInViewport from './isInViewport';
import isWindow from './isWindow';
import pageHeight from './pageHeight';
import pageWidth from './pageWidth';
import pageX from './pageX';
import pageY from './pageY';
import scrollTo from './scrollTo';
import scrollX from './scrollX';
import scrollY from './scrollY';
import viewport from './viewport';
export type { CreateEventOptions } from './createEvent';
export type { AnyFunction } from './domReady';
export type { InsertScriptOptions } from './insertScript';
export type { ScrollToOptions } from './scrollTo';
export type { Viewport } from './viewport';
declare const _default: {
    clientX: typeof clientX;
    clientY: typeof clientY;
    createEvent: typeof createEvent;
    domReady: typeof domReady;
    insertScript: typeof insertScript;
    isElement: typeof isElement;
    isInViewport: typeof isInViewport;
    isWindow: typeof isWindow;
    pageX: typeof pageX;
    pageY: typeof pageY;
    pageHeight: typeof pageHeight;
    pageWidth: typeof pageWidth;
    scrollTo: typeof scrollTo;
    scrollX: typeof scrollX;
    scrollY: typeof scrollY;
    viewport: typeof viewport;
};
export default _default;
