"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = insertScript;

function insertScript(url) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var script = document.createElement('script');
  script.src = url;
  Object.keys(options).forEach(function (key) {
    // @ts-ignore
    script[key] = options[key];
  });
  document.body.appendChild(script);
  return script;
}

module.exports = exports.default;