"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = pageY;

var _isElement = _interopRequireDefault(require("./isElement"));

function pageY(el) {
  // TODO: to throw a type error?
  if (!(0, _isElement["default"])(el)) return 0;
  var parent = el;
  var y = 0;

  while (parent) {
    y += parent.offsetTop;
    parent = parent.offsetParent;
  }

  return y;
}

module.exports = exports.default;