"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _cubicBezier = _interopRequireDefault(require("./cubicBezier"));

var _ease = _interopRequireDefault(require("./ease"));

var _easeIn = _interopRequireDefault(require("./easeIn"));

var _easeInOut = _interopRequireDefault(require("./easeInOut"));

var _easeOut = _interopRequireDefault(require("./easeOut"));

var _linear = _interopRequireDefault(require("./linear"));

var _default = {
  cubicBezier: _cubicBezier["default"],
  ease: _ease["default"],
  easeIn: _easeIn["default"],
  easeInOut: _easeInOut["default"],
  easeOut: _easeOut["default"],
  linear: _linear["default"]
};
exports["default"] = _default;
module.exports = exports.default;