"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = flattenEvents;

var _hasOwn = _interopRequireDefault(require("../../_internal/hasOwn"));

function flattenEvents(events) {
  var listeners = [];

  for (var type in events) {
    /* istanbul ignore else */
    if ((0, _hasOwn["default"])(events, type)) {
      listeners = listeners.concat(events[type]);
    }
  }

  return listeners;
}

module.exports = exports.default;