"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = randomNumbers;

function randomNumbers(start, end, length) {
  if (end - start + 1 < length) {
    throw new RangeError('the result of end - start + 1 should be greater than length');
  }

  var obj = Object.create(null);
  var nums = [];
  var count = 0;
  var num;

  while (count < length) {
    num = Math.floor(Math.random() * (end - start + 1)) + start;
    if (num in obj) continue;
    nums.push(num);
    count++;
    obj[num] = true;
  }

  return nums;
}

module.exports = exports.default;