"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _ascii = _interopRequireDefault(require("./ascii"));

var _decimal = _interopRequireDefault(require("./decimal"));

var _digit = _interopRequireDefault(require("./digit"));

var _domain = _interopRequireDefault(require("./domain"));

var _email = _interopRequireDefault(require("./email"));

var _hexColor = _interopRequireDefault(require("./hexColor"));

var _hsl = _interopRequireDefault(require("./hsl"));

var _hsla = _interopRequireDefault(require("./hsla"));

var _integer = _interopRequireDefault(require("./integer"));

var _ipv = _interopRequireDefault(require("./ipv4"));

var _ipv2 = _interopRequireDefault(require("./ipv6"));

var _isAscii = _interopRequireDefault(require("./isAscii"));

var _isDecimal = _interopRequireDefault(require("./isDecimal"));

var _isDigit = _interopRequireDefault(require("./isDigit"));

var _isDomain = _interopRequireDefault(require("./isDomain"));

var _isEmail = _interopRequireDefault(require("./isEmail"));

var _isHexColor = _interopRequireDefault(require("./isHexColor"));

var _isHsl = _interopRequireDefault(require("./isHsl"));

var _isHsla = _interopRequireDefault(require("./isHsla"));

var _isInteger = _interopRequireDefault(require("./isInteger"));

var _isIP = _interopRequireDefault(require("./isIP"));

var _isIPv = _interopRequireDefault(require("./isIPv4"));

var _isIPv2 = _interopRequireDefault(require("./isIPv6"));

var _isQQ = _interopRequireDefault(require("./isQQ"));

var _isRealNumber = _interopRequireDefault(require("./isRealNumber"));

var _isRgb = _interopRequireDefault(require("./isRgb"));

var _isRgba = _interopRequireDefault(require("./isRgba"));

var _qq = _interopRequireDefault(require("./qq"));

var _realNumber = _interopRequireDefault(require("./realNumber"));

var _rgb = _interopRequireDefault(require("./rgb"));

var _rgba = _interopRequireDefault(require("./rgba"));

var _default = {
  ascii: _ascii["default"],
  decimal: _decimal["default"],
  digit: _digit["default"],
  domain: _domain["default"],
  email: _email["default"],
  hexColor: _hexColor["default"],
  hsl: _hsl["default"],
  hsla: _hsla["default"],
  integer: _integer["default"],
  ipv4: _ipv["default"],
  ipv6: _ipv2["default"],
  isAscii: _isAscii["default"],
  isDecimal: _isDecimal["default"],
  isDigit: _isDigit["default"],
  isDomain: _isDomain["default"],
  isEmail: _isEmail["default"],
  isHexColor: _isHexColor["default"],
  isHsl: _isHsl["default"],
  isHsla: _isHsla["default"],
  isInteger: _isInteger["default"],
  isIP: _isIP["default"],
  isIPv4: _isIPv["default"],
  isIPv6: _isIPv2["default"],
  isQQ: _isQQ["default"],
  isRealNumber: _isRealNumber["default"],
  isRgb: _isRgb["default"],
  isRgba: _isRgba["default"],
  qq: _qq["default"],
  realNumber: _realNumber["default"],
  rgb: _rgb["default"],
  rgba: _rgba["default"]
};
exports["default"] = _default;
module.exports = exports.default;