"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = escapeRegexp;

/**
 * Escape regexp special characters. The slash `/` will be escaped automatically.
 * http://stackoverflow.com/questions/494035/how-do-you-pass-a-variable-to-a-regular-expression-javascript/494122#494122
 */
function escapeRegexp(str) {
  return str.replace(/[.*+?^$|[\](){}\\-]/g, '\\$&');
}

module.exports = exports.default;