"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var reDomain = /^(https?:\/\/)?([^\s:/.]{1,63}\.){1,126}[^\s:/.]{1,63}(:\d{1,5})?\/?$/;
var reQueryOrHash = /[?#]/;

var join = function join() {
  var len = arguments.length;
  var url = '';
  var sep = '';

  for (var i = 0; i < len; i++) {
    if (reQueryOrHash.test(i < 0 || arguments.length <= i ? undefined : arguments[i]) && sep === '/') {
      url = url.slice(0, -1);
      sep = '';
    }

    url += i < 0 || arguments.length <= i ? undefined : arguments[i];

    if (reDomain.test(url) && sep === '') {
      sep = '/';
    }

    if (i < len - 1) {
      url += sep;
    }
  }

  url = url.replace(/([/]{2,})/g, function (m, p1, offset) {
    if (url[offset - 1] === ':') {
      return m;
    }

    return '/';
  });
  return url;
};

var _default = join;
exports["default"] = _default;
module.exports = exports.default;