import { Query } from '../qs/types';
export interface URLObject {
    hash: string;
    host: string;
    hostname: string;
    href: string;
    origin: string;
    password: string;
    pathname: string;
    port: string;
    protocol: string;
    query: Query;
    search: string;
    username: string;
}
export default function parse(url: string): URLObject;
